/**
 * FluxIT
 * http://www.fluxit.com.ar
 */
package com.tecplata.esb.service.booking;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.jws.soap.SOAPBinding.Style;
import javax.jws.soap.SOAPBinding.Use;
import javax.xml.ws.RequestWrapper;

/**
 * @author Ramiro Pugh
 * 
 */
@WebService(name = "BookingInformation")
@SOAPBinding(style = Style.DOCUMENT)
public interface BookingInformation {

	@WebMethod(operationName = "getBooking")
	@RequestWrapper(localName = "filterName")
	@WebResult(name = "resultName")
	@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.WRAPPED, style = Style.DOCUMENT, use = Use.LITERAL)
	public String getBooking(@WebParam(name = "arg0") String arg0);

}
